//Preview need a link in form as Ex and a corresponding PUT action in controller
//Ex preview trigger:
// <%= link_to "NewPreview", realtime_preview_admin_ad_banner_path(ad_banner_tab) , :class=>'preview_trigger'%>

$(document).ready(function() {
	$("a.preview_trigger").click(function(){
		$("#main-wrap").after("<span id='show_preview'></span>");
		$.ajax({
			type: 'PUT',
			url:$(this).attr("href"),
			data:$(this).parents("form").serialize(),
			success: function (msg) {
					$("#"+start_modal_with_id).modal('show'); },
			error: function(){
				alert("ERROR");
				}
			});  
			return false;
		});
});